package com.lukouguoji.gjc.holder

import android.view.View
import com.lukouguoji.gjc.databinding.ItemGjcUnLoadBinding
import com.lukouguoji.gjc.databinding.ItemGjcUnLoadDialogBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjcUnLoadListBean
import com.lukouguoji.module_base.bean.GjcWaybillBean

class GjcUnLoadDialogViewHolder(view: View) :
    BaseViewHolder<GjcWaybillBean, ItemGjcUnLoadDialogBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.bean = bean

        notifyItemClick(position, binding.ivIcon)
    }
}